javax.tools

## Interface OptionChecker

- All Known Subinterfaces:
    JavaCompiler, JavaFileManager, StandardJavaFileManager
  All Known Implementing Classes:
    ForwardingJavaFileManager

      public interface OptionChecker

  Interface for recognizing options.
  Since:
    1.6

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `isSupportedOption(String option)` Determines if the given option is supported and if so, the number of arguments the option takes.

- - ### Method Detail

    - #### isSupportedOption

          int isSupportedOption(String option)

      Determines if the given option is supported and if so, the number of arguments the option takes.
      Parameters:
        `option` - an option
      Returns:
        the number of arguments the given option takes or -1 if the option is not supported

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.